package de.fhdw.wtf.facade;

/**
 * A SystemException is a RuntimeException that is thrown when an uncorrectable error occurs while generating.
 */
public class SystemException extends RuntimeException {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * Creates a new SystemException, that is a RuntimeException and is thrown when an uncorrectable error occurs while
	 * generating.
	 * 
	 * @param cause
	 *            The Throwable that is the reason for throwing this SystemException
	 */
	public SystemException(final Throwable cause) {
		super(cause);
	}
	
}
